List items for a mass payment - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/mass-payments/{id}/items

cURL

GET https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563/items
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY

Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

var massPaymentUrl =
  "https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563";

dwolla.get(`${massPaymentUrl}/items`).then((res) => res.body.total); // => 2

Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563'

mass_payment_items = app_token.get('%s/items' % mass_payment_url)
mass_payment_items.body['total'] # => "2"

Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php

$massPaymentUrl = 'https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563';

$massPaymentItemsApi = new DwollaSwagger\MasspaymentitemsApi($apiClient);

$massPaymentItems = $massPaymentItemsApi->getMassPaymentItems($massPaymentUrl);
$massPaymentItems->total; # => "2"

Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

mass_payment_url = 'https://api-sandbox.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563'

mass_payment_items = app_token.get "#{mass_payment_url}/items"
mass_payment_items.total # => 2

Response Codes

Response Example

{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563/items"
    },
    "first": {
      "href": "https://api.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563/items?limit=25&offset=0"
    },
    "last": {
      "href": "https://api.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563/items?limit=25&offset=0"
    }
  },
  "_embedded": {
    "items": [
      {
        "_links": {
          "self": {
            "href": "https://api.dwolla.com/mass-payment-items/c1c7d293-63ec-e511-80df-0aa34a9b2388"
          },
          "mass-payment": {
            "href": "https://api.dwolla.com/mass-payments/eb467252-808c-4bc0-b86f-a5cd01454563"
          },
          "destination": {
            "href": "https://api.dwolla.com/funding-sources/b442c936-1f87-465d-a4e2-a982164b26bd"
          },
          "transfer": {
            "href": "https://api.dwolla.com/transfers/fa3999db-41ed-e511-80df-0aa34a9b2388"
          }
        },
        "id": "2f845bc9-41ed-e511-80df-0aa34a9b2388",
        "status": "success",
        "amount": {
          "value": "1.00",
          "currency": "USD"
        },
        "metadata": {
          "item1": "item1"
        },
        "processingChannel": {
          "destination": "real-time-payments"
        }
      }
    ]
  },
  "total": 3
}

Authorizations

Authorization header required:

Headers

Path Parameters

Query Parameters

Example Error Responses

{
  "code": "Forbidden",
  "message": "Not authorized to list mass payment items."
}
{
  "code": "NotFound",
  "message": "Mass payment not found."
}